Skip to main content

Get CEX Tokens

Endpoint

GET /tokens
Returns a list of supported tokens for centralized exchange (CEX) swaps.

Parameters

None required.

Example Request

GET /tokens

Example Response

[
  {
    "id": "USDT",
    "name": "Tether",
    "symbol": "USDT",
    "network": {
      "name": "Ethereum Mainnet",
      "shortName": "ETH",
      "addressValidation": "^(0x)[0-9A-Fa-f]{40}$",
      "memoNeeded": false,
      "explorerUrl": "https://etherscan.io/tx/",
      "addressUrl": "https://etherscan.io/address/",
      "priority": 1,
      "kind": "evm",
      "chainId": 1
    },
    "color": "#26a17b",
    "keyword": "usdt usdterc20 tether usdteth erc-20 erc20 eth",
    "displayName": "USDT (ETHEREUM)",
    "chain": 1,
    "address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
    "hasMarkup": true,
    "networkPriority": 2,
    "icon": "https://...",
    "hasFixed": true,
    "hasFixedReverse": true
  }
]

Response Fields (TokenDTO)

FieldTypeDescription
idstringUnique token identifier
namestringFull token name (e.g., Tether)
symbolstringTicker symbol (e.g., USDT)
networkobjectAssociated blockchain network (NetworkDTO)
colorstringHex color code (deprecated)
keywordstringSearchability keywords
displayNamestringUser-friendly display name
iconstringToken icon URL
hasFixedbooleanFixed swap support (deprecated)
hasFixedReversebooleanReverse fixed swap support (deprecated)

Network Fields (NetworkDTO)

FieldTypeDescription
namestringFull network name (e.g., Ethereum Mainnet)
shortNamestringNetwork abbreviation (e.g., ETH)
memoNeededbooleanIndicates memo/extra ID requirement
addressValidationstringRegex pattern for address validation
explorerUrlstringBlock explorer URL
addressUrlstringAddress explorer URL
prioritynumberNetwork priority ranking
kindstringNetwork type (e.g., evm)
chainIdnumberBlockchain network ID